# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum YtGender.Value

    java.lang.Object
      java.lang.Enum<YtGender.Value>
          com.google.gdata.data.youtube.YtGender.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YtGender.Value>

Enclosing class:
  YtGender

    public static enum YtGender.Value

extends java.lang.Enum<YtGender.Value>

Gender Value.

Enum Constant Summary
`FEMALE`
`MALE`

Method Summary
`static YtGender.Value` `fromId(java.lang.String id)` Returns the value corresponding to an id.
`java.lang.String` `getId()` Returns a one-letter identifier.
`static YtGender.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YtGender.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MALE

    public static final YtGender.Value MALE

### FEMALE

    public static final YtGender.Value FEMALE

Method Detail

### values

    public static YtGender.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YtGender.Value c : YtGender.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YtGender.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public java.lang.String getId()

  Returns a one-letter identifier.

### fromId

    public static YtGender.Value fromId(java.lang.String id)

  Returns the value corresponding to an id.

  Parameters:
    `id` - identifier, 'm' or 'f'
  Returns:
    a value or null